#!/usr/bin/ruby -I./lib -Ke

require 'cgi'
require 'wemaapp'
require 'wema/sticky'

cgi = CGI.new

if cgi.path_info =~ /^\/?pv/
  src = cgi.params['src'][0]

  enc = Wema::Encode.new
  content = enc.convert(src,'')

  print "Content-type:text/html;charset=utf-8\n\n"
  print content

else
  page = cgi.params['page'][0]
  sid = cgi.params['id'][0]
  left = cgi.params['left'][0]
  top = cgi.params['top'][0]

  sticky = Wema::Sticky.new("#{WemaApp.get_conf('data_path')}/#{page}/#{sid}.txt")
  unless sticky.isLock?
    sticky.left = left
    sticky.top = top
    sticky.save_to_file("#{WemaApp.get_conf('data_path')}/#{page}")
  end

  print "Content-type:text/html\n\n"
  print sid
end
